/*
 * Copyright 2010 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

///////////////////////////////////////////////////////////////////////////////
// PROJECT:  C++TESK
// AUTHOR:   Alexander Kamkin (kamkin@ispras.ru)
// SYNOPSIS: Assertion macros
///////////////////////////////////////////////////////////////////////////////

#pragma once

#include <hw/defs.hpp>

/** @def CPPTESK_UNUSED_ARG
 * Avoids 'unused parameter' warning.
 */
#define CPPTESK_UNUSED_ARG(arg) (void)(arg)

#ifdef HW_SHORT_NAMES
    #define UNUSED_ARG(arg) CPPTESK_UNUSED_ARG(arg)
#endif // HW_SHORT_NAMES

