/*
 * Copyright 2010 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _PQUEUE_H_INCLUDED_
#define _PQUEUE_H_INCLUDED_

struct PQueueItem;
typedef struct PQueueItem PQueueItem;

struct PQueue;
typedef struct PQueue PQueue;

PQueue* create_PQueue(int heap_alloc_by, int use_free_items);

void insert_PQueue(PQueue *pqueue, int key, void *data);

void* min_PQueue(PQueue *pqueue);

void* extractMin_PQueue(PQueue *pqueue);

void destroy_PQueue(PQueue *pqueue);

PQueue* union_PQueue(PQueue *lhs, PQueue *rhs);

#endif /* _PQUEUE_H_INCLUDED_ */
