#!/bin/sh

echo END CONFIG_DIR=$CONFIG_DIR CLUSTER=$CLUSTER NODE=$NODE HOST=$HOST TESTRUN=$TESTRUN

. $CONFIG_DIR/clusters/$CLUSTER/cluster.conf

NODE_ID=${HOST}_${PORT}
TESTRUN_DIR=$TESTRUNS_DIR/$TESTRUN
mkdir -p $TESTRUN_DIR/$LOG_DIR/$NODE_ID
 
ssh -o GSSAPIAuthentication=no  $USER@$HOST "cd ${NODE_WORK}; tar  --dereference -czf $NODE_ID.tgz *.utt* *.log $LOG_STDOUT $LOG_STDERR"
scp -o GSSAPIAuthentication=no -r $USER@$HOST:${NODE_WORK}/$NODE_ID.tgz $TESTRUN_DIR/$LOG_DIR/$NODE_ID
 
if [ -f $TESTRUN_DIR/$LOG_DIR/$NODE_ID/$NODE_ID.tgz ]
then
    ssh -o GSSAPIAuthentication=no $USER@$HOST "rm -rf ${NODE_WORK}"
    LASTDIR=`pwd`
    cd $TESTRUN_DIR/$LOG_DIR/$NODE_ID
    tar xzf $NODE_ID.tgz
    rm -f $NODE_ID.tgz
    cd $LASTDIR
    if [ -f $TESTRUN_DIR/$LOG_DIR/$NODE_ID/$CHECK_POINT -a ! -f $TESTRUN_DIR/$CHECK_POINT ]
    then
        cp -f $TESTRUN_DIR/$LOG_DIR/$NODE_ID/$CHECK_POINT $TESTRUN_DIR
    fi 
fi

echo END END
